#!/bin/bash

HOUSTON_PATH="./houston"
UPDATE_DIR="houston.update"

run_houston() {
    if [ -f "$HOUSTON_PATH" ]; then
        "$HOUSTON_PATH" "$@"
        return $?
    else
        echo "houston 실행 파일이 없습니다."
        return 1
    fi
}

while true; do
    echo "현재 버전의 houston을 실행합니다."
    run_houston "$@"

    # houston.update 폴더가 존재하는지 확인
    if [ -d "$UPDATE_DIR" ]; then
        echo "새로운 업데이트 폴더 발견. 업데이트를 진행합니다."
        # houston.update 폴더 내의 모든 파일을 현재 폴더로 복사
        cp -R "$UPDATE_DIR"/* .
        # 실행 권한 부여 (필요한 경우)
        chmod +x "$HOUSTON_PATH"
        # 업데이트 폴더 삭제
        rm -rf "$UPDATE_DIR"
        echo "업데이트 완료 및 업데이트 폴더 삭제. houston을 다시 시작합니다."
    else
        echo "업데이트 폴더가 없습니다. 스크립트 실행을 종료합니다."
        break
    fi
done

echo "houston 실행 및 업데이트 스크립트 종료"
exit $?